package com.ho.common.tools.exception;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description 空调故障字段对比
 * Author yule
 * Date 2023/5/10 10:14
 */
public enum AirConditionCode implements ResponseCodeInterface{

    AirConditionFault01(130,"airconditionFault01"),
    AirConditionFault02_1(129,"airconditionFault02"),
    AirConditionFault03_2(116,"airconditionFault03"),
    AirConditionFault03_3(114,"airconditionFault03"),
    AirConditionFault03_1(127,"airconditionFault03"),
    AirConditionFault03_4(113,"airconditionFault03"),
    AirConditionFault03_5(112,"airconditionFault03"),
    AirConditionFault04(101,"airconditionFault04"),
    AirConditionFault05(99,"airconditionFault05"),
    AirConditionFault06(98,"airconditionFault06"),
    AirConditionFault07(97,"airconditionFault07"),
    AirConditionFault09(80,"airconditionFault09"),
    AirConditionFault10(73,"airconditionFault10"),
    AirConditionFault08(81,"airconditionFault08"),
    AirConditionFault11(66,"airconditionFault11"),
    AirConditionFault12(65,"airconditionFault12"),
    AirConditionFault13(64,"airconditionFault13"),
    AirConditionFault14(57,"airconditionFault14"),
    AirConditionFault15(51,"airconditionFault15"),
    AirConditionFault16(50,"airconditionFault16"),
    AirConditionFault17(49,"airconditionFault17"),
    AirConditionFault18(48,"airconditionFault18"),
    AirConditionFault19(40,"airconditionFault19"),
    AirConditionFault20(36,"airconditionFault20"),
    AirConditionFault21(26,"airconditionFault21"),
    AirConditionFault22(24,"airconditionFault22"),
    AirConditionFault23(23,"airconditionFault23"),
    AirConditionFault24(22,"airconditionFault24"),
    AirConditionFault25(20,"airconditionFault25"),
    AirConditionFault26(19,"airconditionFault26"),
    AirConditionFault27(18,"airconditionFault27"),
    AirConditionFault28(17,"airconditionFault28"),
    AirConditionFault29(16,"airconditionFault29"),
    AirConditionFault30(15,"airconditionFault30"),
    AirConditionFault31(14,"airconditionFault31"),
    AirConditionFault32(13,"airconditionFault32"),
    AirConditionFault33(12,"airconditionFault33"),
    AirConditionFault34(5,"airconditionFault34"),
    AirConditionFault35(4,"airconditionFault35"),
    AirConditionFault36(2,"airconditionFault36");


    /**
     * 错误码
     */
    private final int code;
    /**
     * 错误消息
     */
    private final String msg;

    AirConditionCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static List<AirConditionCode> setList(){
        List<AirConditionCode> list = new ArrayList<>();
        list.add(AirConditionFault01);
        list.add(AirConditionFault02_1);
        list.add(AirConditionFault03_1);
        list.add(AirConditionFault03_2);
        list.add(AirConditionFault03_3);
        list.add(AirConditionFault03_4);
        list.add(AirConditionFault03_5);
        list.add(AirConditionFault04);
        list.add(AirConditionFault05);
        list.add(AirConditionFault06);
        list.add(AirConditionFault07);
        list.add(AirConditionFault08);
        list.add(AirConditionFault09);
        list.add(AirConditionFault10);
        list.add(AirConditionFault11);
        list.add(AirConditionFault12);
        list.add(AirConditionFault13);
        list.add(AirConditionFault14);
        list.add(AirConditionFault15);
        list.add(AirConditionFault16);
        list.add(AirConditionFault17);
        list.add(AirConditionFault18);
        list.add(AirConditionFault19);
        list.add(AirConditionFault20);
        list.add(AirConditionFault21);
        list.add(AirConditionFault22);
        list.add(AirConditionFault23);
        list.add(AirConditionFault24);
        list.add(AirConditionFault25);
        list.add(AirConditionFault26);
        list.add(AirConditionFault27);
        list.add(AirConditionFault28);
        list.add(AirConditionFault29);
        list.add(AirConditionFault30);
        list.add(AirConditionFault31);
        list.add(AirConditionFault32);
        list.add(AirConditionFault33);
        list.add(AirConditionFault34);
        list.add(AirConditionFault35);
        list.add(AirConditionFault36);
        return list;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return msg;
    }
}
